Api referenceProjects

Patch project metadata

PATCH
/v1/projects/{projectId}

Update only title and description. Use /v1/projects/{projectId}/sync to replace editorState.

Authorization

BearerAuth
AuthorizationBearer <token>

Send an existing generated API key as Authorization: Bearer sk_indream_.... OAuth access tokens are not accepted by the Open API. Enter the API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Path Parameters

projectId*string
Formatuuid

Request Body

application/json

title?string
Lengthlength <= 120
description?|
Lengthlength <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.indream.ai/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
    "title": "string",
    "description": "string",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {}
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}